Create Connection - MindBridge Documentation

Documentation Index

Fetch the complete documentation index at: /llms.txt

Use this file to discover all available pages before exploring further.

POST

/ v1

/connections

Create Connection

cURL

curl --request POST \
  --url https://{tenant}.mindbridge.ai/api/v1/connections \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --data '\n{\n  "type": "DATABRICKS",\n  "name": "<string>"\n}\n'\n```

### Python

```python
import requests

url = "https://{tenant}.mindbridge.ai/api/v1/connections"

payload = {
    "type": "DATABRICKS",
    "name": "<string>"
}
headers = {
    "Authorization": "Bearer <token>",
    "Content-Type": "application/json"
}

response = requests.post(url, json=payload, headers=headers)

print(response.text)

JavaScript

const options = {
  method: 'POST',
  headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
  body: JSON.stringify({type: 'DATABRICKS', name: '<string>'})
};

fetch('https://{tenant}.mindbridge.ai/api/v1/connections', options)
  .then(res => res.json())
  .then(res => console.log(res))
  .catch(err => console.error(err));

PHP

$curl = curl_init();

curl_setopt_array($curl, [\
  CURLOPT_URL => "https://{tenant}.mindbridge.ai/api/v1/connections",\
  CURLOPT_RETURNTRANSFER => true,\
  CURLOPT_ENCODING => "",\
  CURLOPT_MAXREDIRS => 10,\
  CURLOPT_TIMEOUT => 30,\
  CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,\
  CURLOPT_CUSTOMREQUEST => "POST",\
  CURLOPT_POSTFIELDS => json_encode([\
    'type' => 'DATABRICKS',\
    'name' => '<string>'\
  ]),\
  CURLOPT_HTTPHEADER => [\
    "Authorization: Bearer <token>",\
    "Content-Type: application/json"\
  ],\
]);

$response = curl_exec($curl);
$err = curl_error($curl);

curl_close($curl);

if ($err) {
  echo "cURL Error #:" . $err;
} else {
  echo $response;
}

Go

package main

import (
    "fmt"
    "strings"
    "net/http"
    "io"
)

func main() {

url := "https://{tenant}.mindbridge.ai/api/v1/connections"

payload := strings.NewReader("{\n  \"type\": \"DATABRICKS\",\n  \"name\": \"<string>\"\n}")

req, _ := http.NewRequest("POST", url, payload)

req.Header.Add("Authorization", "Bearer <token>")
    req.Header.Add("Content-Type", "application/json")

res, _ := http.DefaultClient.Do(req)

defer res.Body.Close()
    body, _ := io.ReadAll(res.Body)

fmt.Println(string(body))
}

Java

HttpResponse<String> response = Unirest.post("https://{tenant}.mindbridge.ai/api/v1/connections")
  .header("Authorization", "Bearer <token>")
  .header("Content-Type", "application/json")
  .body("{\n  \"type\": \"DATABRICKS\",\n  \"name\": \"<string>\"\n}")
  .asString();

Ruby

require 'uri'
require 'net/http'

url = URI("https://{tenant}.mindbridge.ai/api/v1/connections")

http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true

request = Net::HTTP::Post.new(url)
request["Authorization"] = 'Bearer <token>'
request["Content-Type"] = 'application/json'
request.body = "{\n  \"type\": \"DATABRICKS\",\n  \"name\": \"<string>\"\n}"

response = http.request(request)
puts response.read_body

Response

201

{
  "id": "<string>",
  "version": 123,
  "creationDate": "2023-11-07T05:31:56Z",
  "lastModifiedDate": "2023-11-07T05:31:56Z",
  "createdUserInfo": {
    "userId": "<string>",
    "userName": "<string>"
  },
  "lastModifiedUserInfo": {
    "userId": "<string>",
    "userName": "<string>"
  },
  "type": "DATABRICKS",
  "name": "<string>"
}

Authorizations

Authorization

string

header

required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Body

application/json

type

enum

required

The type of external connection.

Available options:

DATABRICKS

name

string

required

The name of the external connection.

Minimum string length: 1

Response

201 - application/json

Created

id

string

The unique object identifier.

version

integer

Data integrity version to ensure data consistency.

creationDate

string

The date that the object was originally created.

lastModifiedDate

string

The date that the object was last updated or modified.

createdUserInfo

User Info · object

read-only

Details about the user who created the object.

lastModifiedUserInfo

User Info · object

read-only

Details about the user who last modified or updated the object.

type

enum

The type of external connection.

Available options:

DATABRICKS

name

string

The name of the external connection.